cocoon-users-fr mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sébastien ARBOGAST <argog...@sympatico.ca>
Subject Cocoon 2.1.6 sur Java 1.5 ?
Date Mon, 21 Mar 2005 05:09:10 GMT
Bonjour,

J'imagine que le sujet a déjà été évoqué mais j'ai pas mal de misère à 
compiler Cocoon 2.1.6 avec le JDK 1.5.
Au début j'avais des affaires bizarres avec des problèmes de version : 
j'ai corrigé init-build.xml en remplaçant les target="1.3" par des 
target="1.5" et j'ai ajouté des source="1.4"
Ensuite j'avais des affaires avec un certain DocumentWrapper, je l'ai 
corrigé avec un patch que j'ai trouvé dans le bugzilla d'Apache (merci 
google).
Mais là maintenant j'en suis rendu à une espèce de 
"java.lang.NoClassDefFoundError: org/apache/xpath/XPathAPI" et je 
commence à décourager : ni google, ni les archives de mailing lists ne 
peuvent m'aider.
Concrètement est-ce que vous pensez que je ferais mieux de tout 
réinstaller sur une plateforme Java 1.4 (ça veut dire repasser de tomcat 
5.5 à tomcat 5.0, se priver de toutes les bonnes choses de Tiger et 
toute cette sorte de choses...) ou alors vous connaissez un howto qui 
pourrait me guider ou alors je n'ai plus qu'à trouver une corde 
(solution radicale je vous l'accorde mais au moins il n'y aura pas de 
problème de compatibilité entre ladite corde et mon cou !) ?

Merci d'avance

Sébastien

---------------------------------------------------------------------
Liste francophone Apache Cocoon -- http://cocoon.apache.org/fr/
Pour vous desinscrire : mailto:users-fr-unsubscribe@cocoon.apache.org
Autres commandes : mailto:users-fr-help@cocoon.apache.org


Mime
View raw message